print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local pepsicolaHudFile = "Paletten/hud_fill_pepsicola.dds"
	local pepsicolaHudFileSmall = "Paletten/hud_fill_pepsicola_smal.dds"
	
    local pepsicolaFilType = g_fillTypeManager:addFillType("PEPSICOLA", g_i18n:getText("pepsicola"), true, pricebeer * 2.7, 0.00045, math.rad(10), pepsicolaHudFile, pepsicolaHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspepsicola=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspepsicola=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PEPSICOLA" then
		haspepsicola=true
	end;
		
end;

		if hasmaize and not haspepsicola then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PEPSICOLA")
		local price = g_fillTypeManager:getFillTypeByName("PEPSICOLA").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PEPSICOLA")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)